Bug 586961 - Unable to tether Iphone via bluetooth (PAN)
Summary: Unable to tether Iphone via bluetooth (PAN)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 590903 598171 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 15:02 UTC by Steven M. Parrish
Modified: 2010-08-17 16:34 UTC (History)
5 users (show)

Fixed In Version: NetworkManager-0.8.1-0.1.git20100510.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 19:07:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg (40.35 KB, text/plain)
2010-04-30 01:31 UTC, Steven M. Parrish
no flags Details
/var/log/messages (24.02 KB, text/plain)
2010-04-30 01:31 UTC, Steven M. Parrish
no flags Details
NetworkManager log (8.27 KB, text/plain)
2010-05-06 17:16 UTC, Steven M. Parrish
no flags Details

Description Steven M. Parrish 2010-04-28 15:02:45 UTC
Description of problem:  For F11 and F12 I was able to connect my jailbroken IPhone via bluetooth and then NM would allow me to connect to it as a PAN device using bnep0.  This no longer works in F13.  I can pair the device,  NM shows it and tries to connect but never does.  In the background it appears that it brings up the bnep0 device.  The IPhone itself shows the connection and that it is sharing its internet connection but NM just circles for a few minutes and gives up.  Looks like NM is not getting an IP address.

As I said this did and does continue to work without issues on F12 its just F13 that is the problem.

Comment 1 Dan Williams 2010-04-28 19:57:55 UTC
Can you grab the output of 'dmesg' and /var/log/messages for me when the problem occurs?  It could be any number of things; kernel driver issues, bluetooth problems, etc.

Comment 2 Steven M. Parrish 2010-04-30 01:31:19 UTC
Created attachment 410284 [details]
Output of dmesg

Comment 3 Steven M. Parrish 2010-04-30 01:31:51 UTC
Created attachment 410285 [details]
/var/log/messages

Comment 4 Steven M. Parrish 2010-05-05 09:16:05 UTC
Tried again today after install of new kernel and NM stack.  Ran nm-applet from the CLI and got the following message after if failed to connect.

** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files

** (nm-applet:2392): WARNING **: Invalid connection (empty)

** (nm-applet:2392): WARNING **: <WARN>  nma_gconf_connection_new(): No connection read from GConf at /system/networking/connections/25.

Comment 5 Dan Williams 2010-05-05 20:13:55 UTC
** Message: secret service operation failed: The name org.freedesktop.secrets
was not provided by any .service files

this is a gnome-keyring bug actually.


But for the original issue with not connecting, I did just fix a bug where the connection would erroneously timeout *after* it had connected.  That's not your bug, but I found this one while investigating yours.

Instead, your bug looks like a legitimate Bluetooth device failure; if Bluez was actually able to connect and report that, we'd expect to see something like this in the logs:

NetworkManager[12675]: <info> Activation (00:21:xx:xx:xx:xx) Stage 2 of 5 (Device Configure) starting...
NetworkManager[12675]: <info> (00:21:xx:xx:xx:xx): device state change: 4 -> 5 (reason 0)
NetworkManager[12675]: <info> Activation (00:21:xx:xx:xx:xx) Stage 2 of 5 (Device Configure) complete.
NetworkManager[12675]: <info> Activation (00:21:xx:xx:xx:xx bnep0/bluetooth) Stage 2 of 5 (Device Configure) successful.  Will connect via PAN.
NetworkManager[12675]: <info> Activation (00:21:xx:xx:xx:xx) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager[12675]: <info> Activation (00:21:xx:xx:xx:xx) Stage 3 of 5 (IP Configure Start) started...

Which I don't see in your logs, indicating that Bluez has not signaled that it's fully connected to the iPhone; which may not happen even if bnep0 does show up as an interface.

I've added more debug logging to NetworkManager, which we can enable to help track the problem down in updated builds.

But one more thing to; run 'dbus-monitor --system' from a terminal, then pick your iPhone from the NM menu and see if you can get the connection to fail.  Then attach the output here.  Thanks!  (it may take a few seconds for dbus-monitor to quit, so don't worry if it appears to hang, it'll eventually quit after you hit Ctl+C)

Comment 6 Steven M. Parrish 2010-05-05 20:37:30 UTC
Here is the info you requested.  Thanks for looking into this.

signal sender=org.freedesktop.DBus -> dest=:1.53 serial=2 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameAcquired
   string ":1.53"
signal sender=:1.2 -> dest=(null destination) serial=642 path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0; interface=org.freedesktop.Hal.Device; member=PropertyModified
   int32 1
   array [
      struct {
         string "battery.voltage.current"
         boolean false
         boolean false
      }
   ]
signal sender=org.freedesktop.DBus -> dest=(null destination) serial=7 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameOwnerChanged
   string ":1.54"
   string ""
   string ":1.54"
signal sender=org.freedesktop.DBus -> dest=(null destination) serial=9 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameOwnerChanged
   string "org.freedesktop.NetworkManagerUserSettings"
   string ""
   string ":1.54"
signal sender=:1.54 -> dest=(null destination) serial=30 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/0"
signal sender=:1.54 -> dest=(null destination) serial=31 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/1"
signal sender=:1.54 -> dest=(null destination) serial=32 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/2"
signal sender=:1.54 -> dest=(null destination) serial=33 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/3"
signal sender=:1.54 -> dest=(null destination) serial=34 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/4"
signal sender=:1.54 -> dest=(null destination) serial=35 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/5"
signal sender=:1.54 -> dest=(null destination) serial=36 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/6"
signal sender=:1.54 -> dest=(null destination) serial=37 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/7"
signal sender=:1.54 -> dest=(null destination) serial=38 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/8"
signal sender=:1.54 -> dest=(null destination) serial=39 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/9"
signal sender=:1.54 -> dest=(null destination) serial=40 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/10"
signal sender=:1.54 -> dest=(null destination) serial=41 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/11"
signal sender=:1.54 -> dest=(null destination) serial=42 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/12"
signal sender=:1.54 -> dest=(null destination) serial=43 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/13"
signal sender=:1.54 -> dest=(null destination) serial=44 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/14"
signal sender=:1.54 -> dest=(null destination) serial=45 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/15"
signal sender=:1.54 -> dest=(null destination) serial=46 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/16"
signal sender=:1.54 -> dest=(null destination) serial=47 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/17"
signal sender=:1.54 -> dest=(null destination) serial=48 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/18"
signal sender=:1.54 -> dest=(null destination) serial=49 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/19"
signal sender=:1.54 -> dest=(null destination) serial=50 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/20"
signal sender=:1.54 -> dest=(null destination) serial=51 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/21"
signal sender=:1.54 -> dest=(null destination) serial=52 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/22"
signal sender=:1.54 -> dest=(null destination) serial=53 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/23"
signal sender=:1.54 -> dest=(null destination) serial=54 path=/org/freedesktop/NetworkManagerSettings; interface=org.freedesktop.NetworkManagerSettings; member=NewConnection
   object path "/org/freedesktop/NetworkManagerSettings/24"
signal sender=:1.7 -> dest=(null destination) serial=468 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device; member=StateChanged
   uint32 2
   uint32 1
   uint32 2
signal sender=:1.7 -> dest=(null destination) serial=469 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=DeviceAdded
   object path "/org/freedesktop/NetworkManager/Devices/3"
signal sender=:1.7 -> dest=(null destination) serial=471 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device.Bluetooth; member=PropertiesChanged
   array [
      dict entry(
         string "BtCapabilities"
         variant             uint32 2
      )
      dict entry(
         string "Managed"
         variant             boolean true
      )
      dict entry(
         string "Name"
         variant             string "Steven M. Parrish's iPhone"
      )
      dict entry(
         string "State"
         variant             uint32 2
      )
      dict entry(
         string "Udi"
         variant             string "/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E"
      )
      dict entry(
         string "HwAddress"
         variant             string "00:26:BB:E3:01:7E"
      )
      dict entry(
         string "Driver"
         variant             string "bluez"
      )
      dict entry(
         string "Interface"
         variant             string "00:26:BB:E3:01:7E"
      )
      dict entry(
         string "Ip6Config"
         variant             object path "/"
      )
      dict entry(
         string "Capabilities"
         variant             uint32 1
      )
      dict entry(
         string "Ip4Config"
         variant             object path "/"
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=472 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=PropertiesChanged
   array [
      dict entry(
         string "ActiveConnections"
         variant             array [
            ]
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=473 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device; member=StateChanged
   uint32 3
   uint32 2
   uint32 0
signal sender=:1.7 -> dest=(null destination) serial=474 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device.Bluetooth; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 3
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=475 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=PropertiesChanged
   array [
      dict entry(
         string "ActiveConnections"
         variant             array [
            ]
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=499 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=StateChanged
   uint32 2
signal sender=:1.7 -> dest=(null destination) serial=500 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=StateChange
   uint32 2
signal sender=:1.7 -> dest=(null destination) serial=501 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device; member=StateChanged
   uint32 4
   uint32 3
   uint32 0
signal sender=:1.7 -> dest=(null destination) serial=503 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device.Bluetooth; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 4
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=504 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 2
      )
      dict entry(
         string "ActiveConnections"
         variant             array [
               object path "/org/freedesktop/NetworkManager/ActiveConnection/3"
            ]
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=505 path=/org/freedesktop/NetworkManager/ActiveConnection/3; interface=org.freedesktop.NetworkManager.Connection.Active; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 1
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=506 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device; member=StateChanged
   uint32 5
   uint32 4
   uint32 0
signal sender=:1.7 -> dest=(null destination) serial=512 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device.Bluetooth; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 5
      )
   ]
signal sender=:1.10 -> dest=(null destination) serial=117 path=/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E; interface=org.bluez.Network; member=PropertyChanged
   string "Connected"
   variant       boolean true
signal sender=:1.10 -> dest=(null destination) serial=118 path=/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E; interface=org.bluez.Network; member=PropertyChanged
   string "Interface"
   variant       string "bnep0"
signal sender=:1.10 -> dest=(null destination) serial=119 path=/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E; interface=org.bluez.Network; member=PropertyChanged
   string "UUID"
   variant       string "00001116-0000-1000-8000-00805f9b34fb"
signal sender=org.freedesktop.DBus -> dest=(null destination) serial=16 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameOwnerChanged
   string ":1.55"
   string ""
   string ":1.55"
signal sender=org.freedesktop.DBus -> dest=(null destination) serial=17 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameOwnerChanged
   string ":1.55"
   string ":1.55"
   string ""
signal sender=:1.2 -> dest=(null destination) serial=643 path=/org/freedesktop/Hal/Manager; interface=org.freedesktop.Hal.Manager; member=DeviceAdded
   string "/org/freedesktop/Hal/devices/net_00_19_0e_04_b5_26"
signal sender=:1.2 -> dest=(null destination) serial=667 path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0; interface=org.freedesktop.Hal.Device; member=PropertyModified
   int32 1
   array [
      struct {
         string "battery.voltage.current"
         boolean false
         boolean false
      }
   ]
signal sender=:1.7 -> dest=(null destination) serial=519 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=StateChanged
   uint32 4
signal sender=:1.7 -> dest=(null destination) serial=520 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=StateChange
   uint32 4
signal sender=:1.7 -> dest=(null destination) serial=521 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device; member=StateChanged
   uint32 9
   uint32 5
   uint32 44
signal sender=:1.7 -> dest=(null destination) serial=522 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device.Bluetooth; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 9
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=523 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 4
      )
      dict entry(
         string "ActiveConnections"
         variant             array [
               object path "/org/freedesktop/NetworkManager/ActiveConnection/3"
            ]
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=524 path=/org/freedesktop/NetworkManager/ActiveConnection/3; interface=org.freedesktop.NetworkManager.Connection.Active; member=PropertiesChanged
   array [
      dict entry(
         string "State"
         variant             uint32 0
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=528 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device; member=StateChanged
   uint32 3
   uint32 9
   uint32 0
signal sender=:1.7 -> dest=(null destination) serial=529 path=/org/freedesktop/NetworkManager/Devices/3; interface=org.freedesktop.NetworkManager.Device.Bluetooth; member=PropertiesChanged
   array [
      dict entry(
         string "Ip6Config"
         variant             object path "/"
      )
      dict entry(
         string "Ip4Config"
         variant             object path "/"
      )
      dict entry(
         string "State"
         variant             uint32 3
      )
   ]
signal sender=:1.7 -> dest=(null destination) serial=530 path=/org/freedesktop/NetworkManager; interface=org.freedesktop.NetworkManager; member=PropertiesChanged
   array [
      dict entry(
         string "ActiveConnections"
         variant             array [
            ]
      )
   ]
signal sender=:1.2 -> dest=(null destination) serial=668 path=/org/freedesktop/Hal/Manager; interface=org.freedesktop.Hal.Manager; member=DeviceRemoved
   string "/org/freedesktop/Hal/devices/net_00_19_0e_04_b5_26"
signal sender=:1.10 -> dest=(null destination) serial=122 path=/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E; interface=org.bluez.Network; member=PropertyChanged
   string "Connected"
   variant       boolean false
signal sender=:1.10 -> dest=(null destination) serial=123 path=/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E; interface=org.bluez.Network; member=PropertyChanged
   string "Interface"
   variant       string ""
signal sender=:1.10 -> dest=(null destination) serial=124 path=/org/bluez/1450/hci0/dev_00_26_BB_E3_01_7E; interface=org.bluez.Network; member=PropertyChanged
   string "UUID"
   variant       string ""
signal sender=:1.2 -> dest=(null destination) serial=670 path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0; interface=org.freedesktop.Hal.Device; member=PropertyModified
   int32 1
   array [
      struct {
         string "battery.voltage.current"
         boolean false
         boolean false
      }
   ]



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Dan Williams 2010-05-05 22:24:40 UTC
Hmm, that doesn't shed any more light on the issue.  Could you do the following for me?

As root in a terminal:
1) service NetworkManager stop
2) /usr/sbin/NetworkManager --no-daemon --log-level=debug

The try to reproduce the bug.  Then attach the NM log output to this bug.  Also, if you wouldn't mind making it an actual attached file instead of pasting it in, that helps because bugzilla linewraps what you paste in making it hard to read :(

When you're done, you can Ctl+C NetworkManager, then "service NetworkManager start" to get back to normal.  If you have SELinux enabled, there may be additional steps necessary.  Let me know.

Thanks!

Comment 8 Steven M. Parrish 2010-05-06 17:16:01 UTC
Created attachment 412117 [details]
NetworkManager log

Here is the NetworkManager log file.  If you need anything else just ask.

Comment 9 Fedora Update System 2010-05-10 07:24:21 UTC
NetworkManager-0.8.0-13.git20100509.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc13

Comment 10 Fedora Update System 2010-05-10 07:24:46 UTC
NetworkManager-0.8.0-13.git20100509.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc12

Comment 11 Fedora Update System 2010-05-10 16:58:58 UTC
NetworkManager-0.8.0-13.git20100509.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc12

Comment 12 Fedora Update System 2010-05-10 21:51:14 UTC
NetworkManager-0.8.0-13.git20100509.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc13

Comment 13 Fedora Update System 2010-05-11 06:55:09 UTC
NetworkManager-0.8.1-0.1.git20100510.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc12

Comment 14 Fedora Update System 2010-05-11 19:42:10 UTC
NetworkManager-0.8.1-0.1.git20100510.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc12

Comment 15 Dan Williams 2010-05-11 22:28:11 UTC
*** Bug 590903 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2010-05-12 12:21:58 UTC
NetworkManager-0.8.1-0.1.git20100510.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc13

Comment 17 Steven M. Parrish 2010-05-13 09:58:34 UTC
NM 0.8.0-13 did not fix the problem.  Will try 0.8.1-0.1 and report back

Comment 18 Steven M. Parrish 2010-05-18 00:40:27 UTC
Tried 0.8.1-0.1 and still no luck. Behaviour is still the same



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 19 Eric Smith 2010-06-02 10:15:55 UTC
Like Steven, I had this working on F12.  I haven't upgraded to F13 yet, but I did a yum update recently, and now I have the same problem Steven has reported.  I upgraded to NetworkManager 0.8.1-0.1.git20100510.fc12, and behaviour is unchanged.  I tried downgrading to the original F12 NetworkManager-0.7.996-6.git20091021, and that fixed it!

Looks like someone else had the same problem with a different PAN device, and also solved it by going back to 0.7.996-6:
http://www.schabell.org/2010/03/fedora-12-networkmanager-update.html
From his report, this was broken by the upgrade to 0.7.998-2.

Comment 20 Dan Williams 2010-06-05 04:53:34 UTC
Could you grab the latest NM update, and do the following:

service NetworkManager stop
/usr/sbin/NetworkManager --no-daemon --log-level=debug

and then try to reproduce the issue?

I've tried just now to get a successful PAN connection, and it's piles of failure but not due to NM...

bluetoothd[4909]: adapter_get_device(00:21:9E:31:xx:xx)
bluetoothd[4909]: link_key_request (sba=00:0C:55:F5:aa:aa, dba=00:21:9E:31:xx:xx)
bluetoothd[4909]: kernel auth requirements = 0x00
bluetoothd[4909]: stored link key type = 0x00
bluetoothd[4909]: bnep failed

stuff like that.  Sometimes it works, but mostly then the kernel craps out with "failed to resubmit" errors.  In any case, getting the NM debug log will help figure out what's going on.

If you still get 44 failures in the NM debug logs, try this:

service bluetooth stop
killall -TERM bluetoothd
bluetoothd -d -n

and then lets grab the bluetooth debug output too.

Comment 21 Fedora Update System 2010-06-10 19:06:48 UTC
NetworkManager-0.8.1-0.1.git20100510.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Dan Williams 2010-08-17 16:34:04 UTC
*** Bug 598171 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.